<?php
namespace App\Form\Input;

class Select_CountryZone extends \Engine\Form\Input\Select
{

	/**
	 * {@inheritDoc}
	 * @see \Engine\Form\Input\Select::determinePossibleValues()
	 */
	protected function determinePossibleValues()
	{
		$CFG = \Engine\Loader_Cfg::getInstance()->getGlobal();
		$_LANG = \App\Loader_Lang::getInstance()->getGlobal();

		$possibleValues = [];
		foreach ($CFG['countriesZones'] as $countryZoneCode) {
			$possibleValues[$countryZoneCode] = $_LANG['locations']['countriesZones'][$countryZoneCode];
		}

		return $possibleValues;
	}
}